Go to index page.

# gifinto

A program to save stdin into a file with given name, iff the result file has size bigger than specified (see below). This can be used to save result in same files name we started a chain of pipes.

# Usage:

    gifinto [-q] [-s MinFileSize] [-h] gif-file

Gifinto always reads a GIF file from stdin.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Default off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-s MinFileSize]
  If file is less than MinFileSize, it is deleted and not renamed to given name. This will prevent killing the file we started with if the result is an empty file, or the pipeline did not complete.

  The default file threshold size is 14 bytes which is 1 bigger than GIF file stamp (6 bytes) and GIF file screen descriptor (7 bytes), so a GIF file with only GIF stamp and screen descriptor will not be renamed.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber